#ifndef TEST_STR8_H
#define TEST_STR8_H

#include "tester.h"

#ifdef __cplusplus
BEGIN_C_LINKAGE
#endif // __cplusplus

TestFuncResult test_str8_lit(void);
TestFuncResult test_str8_lit_ro(void);
TestFuncResult test_str8_buf(void);
TestFuncResult test_str8_buf_alloc(void);
TestFuncResult test_str8_alloc_cstr(void);
TestFuncResult test_str8_alloc_str8(void);
TestFuncResult test_str8_get_index_within_bounds(void);
TestFuncResult test_str8_get_index_out_of_bounds(void);
TestFuncResult test_str8_set(void);
TestFuncResult test_str8_equal(void);
TestFuncResult test_str8_substr(void);
TestFuncResult test_str8_concat(void);
TestFuncResult test_str8_concat_capped(void);
TestFuncResult test_str8_find(void);
TestFuncResult test_str8_rfind(void);
TestFuncResult test_str8_split(void);
TestFuncResult test_str8_split_with_max(void);
TestFuncResult test_str8_rsplit(void);
TestFuncResult test_str8_rsplit_with_max(void);
TestFuncResult test_str8_join(void);

#ifdef __cplusplus
END_C_LINKAGE
#endif // __cplusplus

#endif // !TEST_STR8_H
